# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['recommending',
 'recommending.models',
 'recommending.movielens',
 'recommending.tests']

package_data = \
{'': ['*'],
 'recommending': ['.pytest_cache/*',
                  '.pytest_cache/v/cache/*',
                  'artifacts/my_mf_slim:v7/*',
                  'artifacts/my_mf_slim:v8/*',
                  'artifacts/my_mf_slim_movielens_25m:v8/*',
                  'artifacts/svd:v2/*',
                  'artifacts/svd:v3/*',
                  'artifacts/svd_movielens_25m:v11/*',
                  'artifacts/svd_movielens_25m:v13/*',
                  'catboost_info/*',
                  'catboost_info/learn/*',
                  'catboost_info/tmp/*',
                  'configs/*',
                  'configs/sweeps/*',
                  'data/imdb_ratings/*',
                  'data/ml-100k/*',
                  'data/ml-25m/*',
                  'dist/*',
                  'local/Recommending/1a17e8b7/checkpoints/*',
                  'local/Recommending/1jyf99jd/checkpoints/*',
                  'local/Recommending/1oiagj62/checkpoints/*',
                  'local/Recommending/24wljd1b/checkpoints/*',
                  'local/Recommending/2c8og9x8/checkpoints/*',
                  'local/Recommending/2j6t6cuc/checkpoints/*',
                  'local/Recommending/2k9nlkj2/checkpoints/*',
                  'local/Recommending/2wxga6sy/checkpoints/*',
                  'local/Recommending/35s5j213/checkpoints/*',
                  'local/Recommending/37axvlsn/checkpoints/*',
                  'local/Recommending/3c3kvo3k/checkpoints/*',
                  'local/Recommending/3kqwbwuy/checkpoints/*',
                  'local/Recommending/3s439cet/checkpoints/*',
                  'local/Recommending/7eu4pfim/checkpoints/*',
                  'local/Recommending/bnpjmflw/checkpoints/*',
                  'local/Recommending/ooq5psvc/checkpoints/*',
                  'notebooks/*',
                  'notebooks/.ipynb_checkpoints/*',
                  'notebooks/wandb/*',
                  'notebooks/wandb/run-20221210_104654-2u0l9lbr/*',
                  'notebooks/wandb/run-20221210_104654-2u0l9lbr/files/*',
                  'notebooks/wandb/run-20221210_104654-2u0l9lbr/logs/*',
                  'notebooks/wandb/run-20221210_104709-2w35cd1b/*',
                  'notebooks/wandb/run-20221210_104709-2w35cd1b/files/*',
                  'notebooks/wandb/run-20221210_104709-2w35cd1b/logs/*',
                  'notebooks/wandb/run-20221210_105010-1b5fcfse/*',
                  'notebooks/wandb/run-20221210_105010-1b5fcfse/files/*',
                  'notebooks/wandb/run-20221210_105010-1b5fcfse/logs/*',
                  'notebooks/wandb/run-20221210_151851-7o4otpze/*',
                  'notebooks/wandb/run-20221210_151851-7o4otpze/files/*',
                  'notebooks/wandb/run-20221210_151851-7o4otpze/logs/*',
                  'notebooks/wandb/run-20221210_152229-2r46q0vs/*',
                  'notebooks/wandb/run-20221210_152229-2r46q0vs/files/*',
                  'notebooks/wandb/run-20221210_152229-2r46q0vs/logs/*',
                  'papers/*',
                  'wandb/*',
                  'wandb/run-20221208_155320-3svlerhk/*',
                  'wandb/run-20221208_155320-3svlerhk/files/*',
                  'wandb/run-20221208_155320-3svlerhk/logs/*',
                  'wandb/run-20221208_155456-15w4ovw6/*',
                  'wandb/run-20221208_155456-15w4ovw6/files/*',
                  'wandb/run-20221208_155456-15w4ovw6/logs/*',
                  'wandb/run-20221208_160611-35s5j213/*',
                  'wandb/run-20221208_160611-35s5j213/files/*',
                  'wandb/run-20221208_160611-35s5j213/files/media/images/*',
                  'wandb/run-20221208_160611-35s5j213/files/media/table/*',
                  'wandb/run-20221208_160611-35s5j213/files/media/table/sanity_check/*',
                  'wandb/run-20221208_160611-35s5j213/logs/*',
                  'wandb/run-20221208_191247-7eu4pfim/*',
                  'wandb/run-20221208_191247-7eu4pfim/files/*',
                  'wandb/run-20221208_191247-7eu4pfim/files/media/images/*',
                  'wandb/run-20221208_191247-7eu4pfim/files/media/table/*',
                  'wandb/run-20221208_191247-7eu4pfim/files/media/table/sanity_check/*',
                  'wandb/run-20221208_191247-7eu4pfim/logs/*',
                  'wandb/run-20221209_101611-39tfsce3/*',
                  'wandb/run-20221209_101611-39tfsce3/files/*',
                  'wandb/run-20221209_101611-39tfsce3/files/media/html/profile/*',
                  'wandb/run-20221209_101611-39tfsce3/files/media/images/*',
                  'wandb/run-20221209_101611-39tfsce3/files/media/table/*',
                  'wandb/run-20221209_101611-39tfsce3/files/media/table/sanity_check/*',
                  'wandb/run-20221209_101611-39tfsce3/logs/*',
                  'wandb/run-20221209_110315-jnzs2bnl/*',
                  'wandb/run-20221209_110315-jnzs2bnl/files/*',
                  'wandb/run-20221209_110315-jnzs2bnl/logs/*',
                  'wandb/run-20221209_110428-u0nqlh8b/*',
                  'wandb/run-20221209_110428-u0nqlh8b/files/*',
                  'wandb/run-20221209_110428-u0nqlh8b/logs/*',
                  'wandb/run-20221209_110538-11xqmkqe/*',
                  'wandb/run-20221209_110538-11xqmkqe/files/*',
                  'wandb/run-20221209_110538-11xqmkqe/files/media/html/profile/*',
                  'wandb/run-20221209_110538-11xqmkqe/logs/*',
                  'wandb/run-20221209_110816-3qvg35op/*',
                  'wandb/run-20221209_110816-3qvg35op/files/*',
                  'wandb/run-20221209_110816-3qvg35op/files/media/html/profile/*',
                  'wandb/run-20221209_110816-3qvg35op/logs/*',
                  'wandb/run-20221209_111200-2c8og9x8/*',
                  'wandb/run-20221209_111200-2c8og9x8/files/*',
                  'wandb/run-20221209_111200-2c8og9x8/files/media/images/*',
                  'wandb/run-20221209_111200-2c8og9x8/files/media/table/*',
                  'wandb/run-20221209_111200-2c8og9x8/files/media/table/sanity_check/*',
                  'wandb/run-20221209_111200-2c8og9x8/logs/*',
                  'wandb/run-20221209_115925-2cz004gy/*',
                  'wandb/run-20221209_115925-2cz004gy/files/*',
                  'wandb/run-20221209_115925-2cz004gy/files/media/table/*',
                  'wandb/run-20221209_115925-2cz004gy/files/media/table/sanity_check/*',
                  'wandb/run-20221209_115925-2cz004gy/logs/*',
                  'wandb/run-20221209_120628-bnpjmflw/*',
                  'wandb/run-20221209_120628-bnpjmflw/files/*',
                  'wandb/run-20221209_120628-bnpjmflw/files/media/table/*',
                  'wandb/run-20221209_120628-bnpjmflw/files/media/table/sanity_check/*',
                  'wandb/run-20221209_120628-bnpjmflw/logs/*',
                  'wandb/run-20221209_145700-3s439cet/*',
                  'wandb/run-20221209_145700-3s439cet/files/*',
                  'wandb/run-20221209_145700-3s439cet/files/media/table/*',
                  'wandb/run-20221209_145700-3s439cet/files/media/table/sanity_check/*',
                  'wandb/run-20221209_145700-3s439cet/logs/*',
                  'wandb/run-20221209_163658-2j6t6cuc/*',
                  'wandb/run-20221209_163658-2j6t6cuc/files/*',
                  'wandb/run-20221209_163658-2j6t6cuc/files/media/table/*',
                  'wandb/run-20221209_163658-2j6t6cuc/files/media/table/sanity_check/*',
                  'wandb/run-20221209_163658-2j6t6cuc/logs/*',
                  'wandb/run-20221210_073357-sq0v6uda/*',
                  'wandb/run-20221210_073357-sq0v6uda/files/*',
                  'wandb/run-20221210_073357-sq0v6uda/logs/*',
                  'wandb/run-20221210_073805-28hj1oon/*',
                  'wandb/run-20221210_073805-28hj1oon/files/*',
                  'wandb/run-20221210_073805-28hj1oon/files/media/table/*',
                  'wandb/run-20221210_073805-28hj1oon/files/media/table/sanity_check/*',
                  'wandb/run-20221210_073805-28hj1oon/logs/*',
                  'wandb/run-20221210_074043-14wfclup/*',
                  'wandb/run-20221210_074043-14wfclup/files/*',
                  'wandb/run-20221210_074043-14wfclup/files/media/table/*',
                  'wandb/run-20221210_074043-14wfclup/files/media/table/sanity_check/*',
                  'wandb/run-20221210_074043-14wfclup/logs/*',
                  'wandb/run-20221210_074125-2aalvqrx/*',
                  'wandb/run-20221210_074125-2aalvqrx/files/*',
                  'wandb/run-20221210_074125-2aalvqrx/files/media/table/*',
                  'wandb/run-20221210_074125-2aalvqrx/files/media/table/sanity_check/*',
                  'wandb/run-20221210_074125-2aalvqrx/logs/*',
                  'wandb/run-20221210_074220-3kqwbwuy/*',
                  'wandb/run-20221210_074220-3kqwbwuy/files/*',
                  'wandb/run-20221210_074220-3kqwbwuy/files/media/html/explanation/*',
                  'wandb/run-20221210_074220-3kqwbwuy/files/media/html/shap/*',
                  'wandb/run-20221210_074220-3kqwbwuy/files/media/images/explanation/*',
                  'wandb/run-20221210_074220-3kqwbwuy/files/media/images/shap/*',
                  'wandb/run-20221210_074220-3kqwbwuy/files/media/table/*',
                  'wandb/run-20221210_074220-3kqwbwuy/files/media/table/explanation/*',
                  'wandb/run-20221210_074220-3kqwbwuy/files/media/table/sanity_check/*',
                  'wandb/run-20221210_074220-3kqwbwuy/logs/*',
                  'wandb/run-20221210_074928-ooq5psvc/*',
                  'wandb/run-20221210_074928-ooq5psvc/files/*',
                  'wandb/run-20221210_074928-ooq5psvc/files/media/images/*',
                  'wandb/run-20221210_074928-ooq5psvc/files/media/table/*',
                  'wandb/run-20221210_074928-ooq5psvc/files/media/table/sanity_check/*',
                  'wandb/run-20221210_074928-ooq5psvc/logs/*',
                  'wandb/run-20221210_075250-20stsgwp/*',
                  'wandb/run-20221210_075250-20stsgwp/files/*',
                  'wandb/run-20221210_075250-20stsgwp/logs/*',
                  'wandb/run-20221210_075324-1jyf99jd/*',
                  'wandb/run-20221210_075324-1jyf99jd/files/*',
                  'wandb/run-20221210_075324-1jyf99jd/files/media/table/*',
                  'wandb/run-20221210_075324-1jyf99jd/files/media/table/sanity_check/*',
                  'wandb/run-20221210_075324-1jyf99jd/logs/*',
                  'wandb/run-20221210_075704-2wxga6sy/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/media/html/explanation/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/media/html/profile/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/media/html/shap/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/media/images/explanation/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/media/images/shap/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/media/table/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/media/table/explanation/*',
                  'wandb/run-20221210_075704-2wxga6sy/files/media/table/sanity_check/*',
                  'wandb/run-20221210_075704-2wxga6sy/logs/*',
                  'wandb/run-20221210_080013-3c3kvo3k/*',
                  'wandb/run-20221210_080013-3c3kvo3k/files/*',
                  'wandb/run-20221210_080013-3c3kvo3k/files/media/html/explanation/*',
                  'wandb/run-20221210_080013-3c3kvo3k/files/media/html/profile/*',
                  'wandb/run-20221210_080013-3c3kvo3k/files/media/images/explanation/*',
                  'wandb/run-20221210_080013-3c3kvo3k/files/media/table/*',
                  'wandb/run-20221210_080013-3c3kvo3k/files/media/table/explanation/*',
                  'wandb/run-20221210_080013-3c3kvo3k/files/media/table/sanity_check/*',
                  'wandb/run-20221210_080013-3c3kvo3k/logs/*',
                  'wandb/run-20221210_174537-1a17e8b7/*',
                  'wandb/run-20221210_174537-1a17e8b7/files/*',
                  'wandb/run-20221210_174537-1a17e8b7/files/media/html/profile/*',
                  'wandb/run-20221210_174537-1a17e8b7/files/media/images/*',
                  'wandb/run-20221210_174537-1a17e8b7/files/media/table/*',
                  'wandb/run-20221210_174537-1a17e8b7/files/media/table/sanity_check/*',
                  'wandb/run-20221210_174537-1a17e8b7/logs/*',
                  'wandb/run-20221210_192017-37axvlsn/*',
                  'wandb/run-20221210_192017-37axvlsn/files/*',
                  'wandb/run-20221210_192017-37axvlsn/files/media/html/profile/*',
                  'wandb/run-20221210_192017-37axvlsn/files/media/images/*',
                  'wandb/run-20221210_192017-37axvlsn/files/media/table/*',
                  'wandb/run-20221210_192017-37axvlsn/files/media/table/sanity_check/*',
                  'wandb/run-20221210_192017-37axvlsn/logs/*',
                  'wandb/run-20221210_202808-24wljd1b/*',
                  'wandb/run-20221210_202808-24wljd1b/files/*',
                  'wandb/run-20221210_202808-24wljd1b/files/media/html/profile/*',
                  'wandb/run-20221210_202808-24wljd1b/files/media/images/*',
                  'wandb/run-20221210_202808-24wljd1b/files/media/table/*',
                  'wandb/run-20221210_202808-24wljd1b/files/media/table/sanity_check/*',
                  'wandb/run-20221210_202808-24wljd1b/logs/*',
                  'wandb/run-20221210_203210-274d4bnr/*',
                  'wandb/run-20221210_203210-274d4bnr/files/*',
                  'wandb/run-20221210_203210-274d4bnr/files/media/html/profile/*',
                  'wandb/run-20221210_203210-274d4bnr/files/media/table/*',
                  'wandb/run-20221210_203210-274d4bnr/files/media/table/sanity_check/*',
                  'wandb/run-20221210_203210-274d4bnr/logs/*',
                  'wandb/run-20221210_203550-1oiagj62/*',
                  'wandb/run-20221210_203550-1oiagj62/files/*',
                  'wandb/run-20221210_203550-1oiagj62/files/media/html/explanation/*',
                  'wandb/run-20221210_203550-1oiagj62/files/media/html/profile/*',
                  'wandb/run-20221210_203550-1oiagj62/files/media/html/shap/*',
                  'wandb/run-20221210_203550-1oiagj62/files/media/images/explanation/*',
                  'wandb/run-20221210_203550-1oiagj62/files/media/images/shap/*',
                  'wandb/run-20221210_203550-1oiagj62/files/media/table/*',
                  'wandb/run-20221210_203550-1oiagj62/files/media/table/explanation/*',
                  'wandb/run-20221210_203550-1oiagj62/files/media/table/sanity_check/*',
                  'wandb/run-20221210_203550-1oiagj62/logs/*',
                  'wandb/run-20221210_205304-3bhkchvb/*',
                  'wandb/run-20221210_205304-3bhkchvb/files/*',
                  'wandb/run-20221210_205304-3bhkchvb/logs/*',
                  'wandb/run-20221210_205433-2k9nlkj2/*',
                  'wandb/run-20221210_205433-2k9nlkj2/files/*',
                  'wandb/run-20221210_205433-2k9nlkj2/files/media/html/profile/*',
                  'wandb/run-20221210_205433-2k9nlkj2/files/media/table/*',
                  'wandb/run-20221210_205433-2k9nlkj2/files/media/table/sanity_check/*',
                  'wandb/run-20221210_205433-2k9nlkj2/logs/*',
                  'wandb/run-20221211_070544-1y5wwevh/*',
                  'wandb/run-20221211_070544-1y5wwevh/files/*',
                  'wandb/run-20221211_070544-1y5wwevh/logs/*',
                  'wandb/run-20221211_070826-331hg2ig/*',
                  'wandb/run-20221211_070826-331hg2ig/files/*',
                  'wandb/run-20221211_070826-331hg2ig/files/media/html/profile/*',
                  'wandb/run-20221211_070826-331hg2ig/files/media/table/*',
                  'wandb/run-20221211_070826-331hg2ig/files/media/table/sanity_check/*',
                  'wandb/run-20221211_070826-331hg2ig/logs/*',
                  'wandb/run-20221211_072734-kia5rv9s/*',
                  'wandb/run-20221211_072734-kia5rv9s/files/*',
                  'wandb/run-20221211_072734-kia5rv9s/files/media/html/profile/*',
                  'wandb/run-20221211_072734-kia5rv9s/files/media/table/*',
                  'wandb/run-20221211_072734-kia5rv9s/files/media/table/sanity_check/*',
                  'wandb/run-20221211_072734-kia5rv9s/logs/*',
                  'wandb/run-20221211_075339-ofwqogyj/*',
                  'wandb/run-20221211_075339-ofwqogyj/files/*',
                  'wandb/run-20221211_075339-ofwqogyj/files/media/html/profile/*',
                  'wandb/run-20221211_075339-ofwqogyj/files/media/table/*',
                  'wandb/run-20221211_075339-ofwqogyj/files/media/table/sanity_check/*',
                  'wandb/run-20221211_075339-ofwqogyj/logs/*',
                  'wandb/run-20221211_081508-1kdrlep7/*',
                  'wandb/run-20221211_081508-1kdrlep7/files/*',
                  'wandb/run-20221211_081508-1kdrlep7/files/media/html/profile/*',
                  'wandb/run-20221211_081508-1kdrlep7/files/media/table/*',
                  'wandb/run-20221211_081508-1kdrlep7/files/media/table/sanity_check/*',
                  'wandb/run-20221211_081508-1kdrlep7/logs/*']}

install_requires = \
['aenum>=3.1.11,<4.0.0',
 'catboost>=1.1,<2.0',
 'dkoshman-my-tools>=0.1.3,<0.2.0',
 'einops>=0.4.1,<0.5.0',
 'gradio>=3.7,<4.0',
 'implicit>=0.6.1,<0.7.0',
 'line-profiler>=4.0.2,<5.0.0',
 'matplotlib>=3.5.0,<3.6.0',
 'numba>=0.56.2,<0.57.0',
 'numpy>=1.22,<2.0',
 'pandas>=1.4.0,<2.0.0',
 'protobuf==3.19.4',
 'pytest>=7.1.3,<8.0.0',
 'pytorch-lightning>=1.6,<1.7',
 'scikit-learn>=1.2.0,<2.0.0',
 'scipy>=1.7,<2.0',
 'shap>=0.41.0,<0.42.0',
 'torch>=1.12.1,<2.0.0',
 'trash-cli>=0.22,<0.23',
 'wandb>=0.13.3,<0.14.0']

setup_kwargs = {
    'name': 'my-recommending',
    'version': '0.1.2',
    'description': '',
    'long_description': 'Recommending module with svd, matrix factorization and catboost recommendation models.\n',
    'author': 'DimaKoshman',
    'author_email': 'koshmandk@yandex.ru',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8,<3.9',
}


setup(**setup_kwargs)
